Loading...
Searching...
No Matches
gx_engine::MidiClockToBpm Class Reference

`#include <gx_parameter.h>`

## Public Member Functions

| MidiClockToBpm ()
| ~MidiClockToBpm ()
unsigned int | rounded (float f)
bool | time_to_bpm (double time, unsigned int *bpm_)

## Private Attributes

double | time1
double | time_diff
int | collect
int | collect_
double | bpm
double | bpm_new
bool | ret

## Detailed Description

Definition at line 739 of file gx_parameter.h.

## Constructor & Destructor Documentation

## MidiClockToBpm()

gx_engine::MidiClockToBpm::MidiClockToBpm | ( |  | ) |

## ~MidiClockToBpm()

gx_engine::MidiClockToBpm::~MidiClockToBpm | ( |  | ) |

inline

Definition at line 751 of file gx_parameter.h.

## Member Function Documentation

## rounded()

unsigned int gx_engine::MidiClockToBpm::rounded | ( | float | f | ) |

## time_to_bpm()

bool gx_engine::MidiClockToBpm::time_to_bpm | ( | double | time,
|  | unsigned int * | bpm_ )

## Member Data Documentation

## bpm

double gx_engine::MidiClockToBpm::bpm

private

Definition at line 745 of file gx_parameter.h.

## bpm_new

double gx_engine::MidiClockToBpm::bpm_new

private

Definition at line 746 of file gx_parameter.h.

## collect

int gx_engine::MidiClockToBpm::collect

private

Definition at line 743 of file gx_parameter.h.

## collect_

int gx_engine::MidiClockToBpm::collect_

private

Definition at line 744 of file gx_parameter.h.

## ret

bool gx_engine::MidiClockToBpm::ret

private

Definition at line 747 of file gx_parameter.h.

## time1

double gx_engine::MidiClockToBpm::time1

private

Definition at line 741 of file gx_parameter.h.

## time_diff

double gx_engine::MidiClockToBpm::time_diff

private

Definition at line 742 of file gx_parameter.h.

The documentation for this class was generated from the following file:

- src/headers/gx_parameter.h